Get Delegation Public Key

Retrieve the public key used to verify Lirium's requests to your Delegation endpoints

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve the public key Lirium uses to sign the JWT it sends to your Delegation Endpoints. Your service uses this key to verify that every incoming request was issued by Lirium.

This endpoint is part of the Delegation Accounts product.

Request

GET /partner/delegation

Example Response

{
  "enabled": true,
  "public_key": "LS0tLS1CRUdJTiBQVUJMSUMgS0VZLS0tLS0K...",
  "created_at": "2025-07-15T15:34:52.663452+00:00"
}

Response Fields

FieldTypeRequiredDescription
enabledbooleanYesWhether Partner Delegation is enabled for your account.
public_keystringYesBase64-encoded public key used to verify the signature of Lirium's JWT.
created_atstringYesISO 8601 timestamp when the key pair was created.
📘

The key is base64 encoded

Decode public_key from base64 before using it to verify the JWT signature. Lirium signs the token with the matching private key using the RS512 algorithm.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json